//
//  ViewController.swift
//  MyRun
//
//  Created by Scott Lee on 2016. 10. 26..
//  Copyright © 2016년 Studio G.B.U. All rights reserved.
//

import UIKit
import defaultManager

class ViewController: UIViewController {
    @IBOutlet weak var statusLabel: UILabel!

    var userDefault: UserDefaults?
    var workouts: [[String: AnyObject]]?
    let workout_states = ["알 수 없음", "운동 중", "일시 중지", "취소", "완료"]

    override func viewDidLoad() {
        super.viewDidLoad()

        userDefault = UserDefaults.getDefault()
        userDefault?.getWorkout(workouts: &workouts)
        statusLabel.text = "\(workouts!.count)"
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
        let notificationCenter = NotificationCenter.default
        
        notificationCenter.addObserver(forName: .UIApplicationDidBecomeActive, object: nil, queue: nil) { _ in
            self.userDefault?.getWorkout(workouts: &self.workouts)
            
            if self.workouts!.count > 0 {
                let state = self.workouts!.last?["state"] as! Int
                let format = DateFormatter()
                format.dateFormat = "yyyy-MM-dd HH:mm:ss"

                let date = format.string(from: self.workouts!.last?["start_date"] as! Date)
                self.statusLabel.text = "현재 운동 상태: \(self.workout_states[state]) \(date)"
            }
        }
    }
}

